## protontricks 1.7.0

=== requirements.txt ===
vdf==2.4

## protontricks 1.5.0

=== debian/changelog ===
protontricks (1.5.0-1) experimental; urgency=medium

  * Initial release. (Closes: #977370)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 22 Apr 2021 21:24:34 +0200

=== debian/control ===
Source: protontricks
Section: contrib/utils
Priority: optional
Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools-scm,
 python3-vdf,
 python3-pytest,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/Matoking/protontricks
Vcs-Browser: https://salsa.debian.org/games-team/protontricks
Vcs-Git: https://salsa.debian.org/games-team/protontricks.git
Testsuite: autopkgtest-pkg-python

Package: protontricks
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 zenity,
 winetricks,
 steam,
Description: simple wrapper that does Winetricks things for Proton
 Proton is a modified version of Wine used in Steam. This tool allows you to
 use Winetricks commands for games in Steam using Proton. This is often useful
 when a game requires closed-source runtime libraries that are not included
 with Proton.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%protontricks-$1.tar.gz%" \
    https://github.com/Matoking/protontricks/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## protontricks 1.7.0

=== debian/changelog ===
protontricks (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sat, 08 Jan 2022 18:16:44 +0100

protontricks (1.6.2-1) unstable; urgency=medium

  * New upstream version 1.6.2

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 28 Nov 2021 21:50:21 +0100

protontricks (1.6.1-3) unstable; urgency=medium

  * add autopkgtest running pytest

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 24 Nov 2021 15:23:15 +0100

protontricks (1.6.1-2) unstable; urgency=medium

  * Move steam from Depends to Recommends to allow transition
  * Add patch to fix building with Python 3.10

 -- Stephan Lachnit <stephanlachnit@debian.org>  Tue, 23 Nov 2021 21:56:58 +0100

protontricks (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 21 Oct 2021 18:00:11 +0200

protontricks (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0 (Closes: #992277)
  * Upload to unstable

 -- Stephan Lachnit <stephanlachnit@debian.org>  Mon, 11 Oct 2021 16:31:48 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all,
+ python3-setuptools,
  python3-setuptools-scm,
  python3-vdf,
  python3-pytest,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/Matoking/protontricks
 Vcs-Browser: https://salsa.debian.org/games-team/protontricks
 Vcs-Git: https://salsa.debian.org/games-team/protontricks.git
@@ -24,6 +25,7 @@
  ${python3:Depends},
  zenity,
  winetricks,
+Recommends:
  steam,
 Description: simple wrapper that does Winetricks things for Proton
  Proton is a modified version of Wine used in Steam. This tool allows you to

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-all, python3-pytest
Restrictions: skip-not-installable

## protontricks 1.9.0

=== debian/changelog ===
protontricks (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
  * Update standards version to 4.6.0.1, no changes needed

 -- Stephan Lachnit <stephanlachnit@debian.org>  Tue, 05 Jul 2022 10:53:28 +0200

protontricks (1.8.2-1) unstable; urgency=medium

  * New upstream version 1.8.2

 -- Stephan Lachnit <stephanlachnit@debian.org>  Fri, 27 May 2022 10:19:23 +0200

protontricks (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1

 -- Stephan Lachnit <stephanlachnit@debian.org>  Tue, 29 Mar 2022 18:25:42 +0200

protontricks (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 03 Mar 2022 23:43:13 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-vdf,
  python3-pytest,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/Matoking/protontricks
 Vcs-Browser: https://salsa.debian.org/games-team/protontricks
 Vcs-Git: https://salsa.debian.org/games-team/protontricks.git

## protontricks 1.10.1

=== debian/changelog ===
protontricks (1.10.1-1) unstable; urgency=medium

  * New upstream version 1.10.1

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 08 Jan 2023 14:45:53 +0100

protontricks (1.9.2-1) unstable; urgency=medium

  * New upstream version 1.9.2

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 23 Oct 2022 17:11:50 +0200

protontricks (1.9.1-1) unstable; urgency=medium

  * New upstream version 1.9.1

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 31 Aug 2022 11:17:01 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,

## protontricks 1.10.2

=== requirements.txt ===
vdf==3.4

=== debian/changelog ===
protontricks (1.10.2-1) unstable; urgency=medium

  * New upstream version 1.10.2

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sat, 18 Feb 2023 20:19:34 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-vdf,
  python3-pytest,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/Matoking/protontricks
 Vcs-Browser: https://salsa.debian.org/games-team/protontricks
 Vcs-Git: https://salsa.debian.org/games-team/protontricks.git

## protontricks 1.10.3

=== debian/changelog ===
protontricks (1.10.3-1) unstable; urgency=medium

  * New upstream version 1.10.3

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 20 Jul 2023 23:27:16 +0200

## protontricks 1.10.5

=== debian/changelog ===
protontricks (1.10.5-1ubuntu1) oracular; urgency=medium

  * pytest8-caplog.patch: Update tests for pytest 8 compatibility
    (LP: #2068659).

 -- Chris Peterson <chris.peterson@canonical.com>  Thu, 06 Jun 2024 12:27:04 -0700

protontricks (1.10.5-1) unstable; urgency=medium

  * New upstream version 1.10.5

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sat, 25 Nov 2023 16:43:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: protontricks
 Section: contrib/utils
 Priority: optional
-Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
 Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -11,6 +12,7 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-vdf,
+ python3-pil,
  python3-pytest,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
@@ -24,6 +26,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ python3-pil,
  zenity,
  winetricks,
 Recommends:

## protontricks 1.11.1

=== debian/changelog ===
protontricks (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1 (Closes: #1071809 #1063967 #1064509)
  * Update standards version to 4.7.0, no changes needed

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 08 Aug 2024 10:24:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: protontricks
 Section: contrib/utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
+Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
 Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -15,7 +14,7 @@
  python3-pil,
  python3-pytest,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/Matoking/protontricks
 Vcs-Browser: https://salsa.debian.org/games-team/protontricks
 Vcs-Git: https://salsa.debian.org/games-team/protontricks.git
@@ -30,7 +29,7 @@
  zenity,
  winetricks,
 Recommends:
- steam,
+ steam-installer | steam-launcher,
 Description: simple wrapper that does Winetricks things for Proton
  Proton is a modified version of Wine used in Steam. This tool allows you to
  use Winetricks commands for games in Steam using Proton. This is often useful

## protontricks 1.12.0

=== requirements.txt ===
vdf==3.4
Pillow

=== debian/changelog ===
protontricks (1.12.0-2syncable1) plucky; urgency=medium

  * Mark pytest as flaky, the autopkgtest is known as broken and is not
    currently a useful indicator.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 22 Mar 2025 23:15:54 -0500

protontricks (1.12.0-2) unstable; urgency=medium

  * Team Upload
  * Use canonical address for Games Team
  * autopkgtest remains broken for now.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Feb 2025 02:26:07 +0100

protontricks (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0 (Closes: #1087447)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sat, 16 Nov 2024 15:45:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: protontricks
 Section: contrib/utils
 Priority: optional
-Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -26,7 +27,7 @@
  ${misc:Depends},
  ${python3:Depends},
  python3-pil,
- zenity,
+ yad | zenity,
  winetricks,
 Recommends:
  steam-installer | steam-launcher,

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-all, python3-pytest
Restrictions: skip-not-installable, flaky

=== debian/watch ===
version=4
https://github.com/Matoking/protontricks/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## protontricks 1.13.1+ds

=== debian/changelog ===
protontricks (1.13.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.13.1+ds
  * d/watch: Use GitHub template
  * d/copyright: Exclude bundled vdf
  * d/control: Standards-Version: 4.7.2 (no changes)
  * d/control: Remove Rules-Requires-Root
  * d/control: Mark python3-pytest as only needed for tests
  * d/control: Must use updated python-vdf
  * Patch to remove usage of bundled vdf

 -- Ilya Orlov <ilyaorlov124@gmail.com>  Tue, 25 Nov 2025 23:43:28 +0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: protontricks
 Section: contrib/utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -11,11 +10,10 @@
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
- python3-vdf,
+ python3-vdf (>= 4.0),
  python3-pil,
- python3-pytest,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+ python3-pytest <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/Matoking/protontricks
 Vcs-Browser: https://salsa.debian.org/games-team/protontricks
 Vcs-Git: https://salsa.debian.org/games-team/protontricks.git

=== debian/watch ===
Version: 5

Template: GitHub
Owner: Matoking
Project: protontricks
Repacksuffix: +ds
